Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# TAP::Parser::Scheduler::Spinner

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# TAP::Parser::Scheduler::Spinner

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods

# NAME

TAP::Parser::Scheduler::Spinner - A no-op job.

# VERSION

Version 3.23

# SYNOPSIS

        use TAP::Parser::Scheduler::Spinner;

# DESCRIPTION

A no-op job. Returned by `TAP::Parser::Scheduler` as an instruction to the harness to spin (keep executing tests) while the scheduler can't return a real job.

# METHODS

## Class Methods

### `new`

        my $job = TAP::Parser::Scheduler::Spinner->new;

Returns a new `TAP::Parser::Scheduler::Spinner` object.

### `is_spinner`

Returns true indicating that is a 'spinner' job. Spinners are returned when the scheduler still has pending jobs but can't (because of locking) return one right now.

Page index

- NAME
- VERSION
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Class Methods